# eric4.Helpviewer.AdBlock.AdBlockNetwork

Module implementing the network block class.

### Global Attributes

None

### Classes

AdBlockNetwork | Class implementing a network block.

### Functions

None

## AdBlockNetwork

Class implementing a network block.

### Derived from

QObject

### Class Attributes

None

### Methods

block | Public method to check for a network block.

#### AdBlockNetwork.block

block(request)

Public method to check for a network block.

Returns:
  reply object (QNetworkReply) or None

Up